%define major	0
%define api	1.0
%define libname	%mklibname git2-glib %{api} %{major}
%define devname	%mklibname -d git2-glib %{api}

%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		libgit2-glib
Version:	0.25.0
Release:	%mkrel 2
Summary:	Git library for GLib
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/Libgit2-glib
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libgit2) >= 0.24
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject3
BuildRequires:	vala-devel
# (tv) for autoconf:
BuildRequires:	gnome-common
# Depend on python3-gobject for the python3 gi overrides directory.
# If we ever get a libgit2-glib consumer that does not depend on python3,
# it would probably make sense to split it to a separate subpackage.
Requires:	python3-gobject3

%description
libgit2-glib is a glib wrapper library around the libgit2 git access library.

%package -n %{libname}
Summary:	A glib wrapper library around the libgit2 git access library
Group:		System/Libraries

%description -n %{libname}
libgit2-glib is a glib wrapper library around the libgit2 git access library.


%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}%{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x \
	--disable-static \
	--enable-ssh \
	--enable-vala
%make

%install
%makeinstall_std

# Remove unwanted la files
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/libgit2-glib-%{api}.so.%{major}
%{_libdir}/libgit2-glib-%{api}.so.%{major}.*
%{_libdir}/girepository-1.0/Ggit-1.0.typelib
#%{python3_sitearch}/gi/overrides/*

%files -n %{devname}
%doc %{_datadir}/gtk-doc/
%{_includedir}/libgit2-glib-%{api}/
%{_libdir}/libgit2-glib-%{api}.so
%{_libdir}/pkgconfig/libgit2-glib-%{api}.pc
%{_datadir}/gir-1.0/Ggit-1.0.gir
%{_datadir}/vala/vapi/ggit-1.0.*


%changelog
* Wed Apr 05 2017 neoclust <neoclust> 0.25.0-2.mga6
+ Revision: 1095941
- Rebuild for armv7

* Wed Mar 22 2017 ovitters <ovitters> 0.25.0-1.mga6
+ Revision: 1094363
- new version 0.25.0

* Sun Sep 18 2016 ovitters <ovitters> 0.24.4-1.mga6
+ Revision: 1053782
- new version 0.24.4

* Mon Aug 22 2016 ovitters <ovitters> 0.24.2-1.mga6
+ Revision: 1047880
- new version 0.24.2

* Tue Mar 15 2016 tv <tv> 0.24.0-1.mga6
+ Revision: 990761
- bump BR on libgit2 (thus fixing compilation faillure)

  + ovitters <ovitters>
    - new version 0.24.0

* Fri Feb 05 2016 ovitters <ovitters> 0.23.10-1.mga6
+ Revision: 937838
- new version 0.23.10

* Fri Dec 11 2015 ovitters <ovitters> 0.23.8-1.mga6
+ Revision: 909453
- new version 0.23.8

* Tue Sep 22 2015 wally <wally> 0.23.6-1.mga6
+ Revision: 882208
- new version 0.23.6

* Fri Aug 07 2015 wally <wally> 0.23.4-2.mga6
+ Revision: 861608
- enable vala build

* Fri Aug 07 2015 wally <wally> 0.23.4-1.mga6
+ Revision: 861590
- new version 0.23.4

* Tue Aug 04 2015 ovitters <ovitters> 0.23.2-1.mga6
+ Revision: 861038
- new version 0.23.2

* Sun Jun 21 2015 ovitters <ovitters> 0.22.8-1.mga6
+ Revision: 838095
- ensure ssh support works
- new version 0.22.8

* Tue Nov 04 2014 ovitters <ovitters> 0.0.24-1.mga5
+ Revision: 795556
- new version 0.0.24

* Wed Oct 15 2014 umeabot <umeabot> 0.0.22-4.mga5
+ Revision: 746774
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.22-3.mga5
+ Revision: 686709
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 0.0.22-1.mga5
+ Revision: 676965
- new version 0.0.22

* Thu Jul 24 2014 ovitters <ovitters> 0.0.20-1.mga5
+ Revision: 656358
- new version 0.0.20

* Mon Jun 30 2014 ovitters <ovitters> 0.0.18-1.mga5
+ Revision: 641585
- new version 0.0.18

* Sun Jun 22 2014 ovitters <ovitters> 0.0.16-1.mga5
+ Revision: 638752
- new version 0.0.16

* Sun Jun 22 2014 ovitters <ovitters> 0.0.14-1.mga5
+ Revision: 638699
- new version 0.0.14

* Sun Jun 15 2014 ovitters <ovitters> 0.0.12-2.mga5
+ Revision: 636453
- fix url

* Wed Mar 05 2014 ovitters <ovitters> 0.0.12-1.mga5
+ Revision: 599905
- new version 0.0.12

* Sat Mar 01 2014 wally <wally> 0.0.10-2.mga5
+ Revision: 598195
- drop unneeded python3-gobject3-devel BR
- convert BRs to pkgconfig style

* Tue Feb 04 2014 wally <wally> 0.0.10-1.mga5
+ Revision: 582101
- clean .spec

* Fri Jan 10 2014 tv <tv> 0.0.10-1.mga4
+ Revision: 566134
- imported package libgit2-glib


* Fri Jan 10 2014 Thierry Vignaud <tv@mageia.org> 0.0.10-1.mga4
- initial release
